<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public string $migration;

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('photo', function (Blueprint $table) {
            $table->increments('id');
            $table->string('image', 255)->nullable(false);
            $table->string('entity', 255)->nullable(false);
            $table->integer('entity_id')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('photo');
    }
};
